### Method

# Gimp Metadata get_resolution

since: 2.10

#### Declaration [src]

    gboolean
    gimp_metadata_get_resolution (
      GimpMetadata* metadata,
      gdouble* xres,
      gdouble* yres,
      GimpUnit* unit
    )

#### Description [src]

Returns values based on Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of `metadata`.

Available since: 2.10

#### Parameters

`xres`

  Type: `gdouble*`

  Return location for the X Resolution, in ppi.

  The argument will be set by the function.
  The argument can be `NULL`.

`yres`

  Type: `gdouble*`

  Return location for the Y Resolution, in ppi.

  The argument will be set by the function.
  The argument can be `NULL`.

`unit`

  Type: `GimpUnit`

  Return location for the unit unit.

  The argument will be set by the function.
  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.